YateBTS firmware for bladeRF x40

Discussions related to embedded firmware, driver, and user mode application software development

Moderator: robert.ghilduta

Post Reply
el_dorado
Posts: 2
Joined: Sat Apr 28, 2018 4:37 am

YateBTS firmware for bladeRF x40

Post by el_dorado » Sat Apr 28, 2018 4:39 am

Please, if you know, why the latest supported FPGA firmware by YateBTS for bladeRF x40 is 0.1.2? I don't think it is good to use so old version. But when I try to use the newer firmware, I instantly get radio tune error and yate don't start.

I asked the same questions on Yate forums with no replies at all.

User avatar
rtucker
Posts: 77
Joined: Sun Jan 25, 2015 10:38 am

Re: YateBTS firmware for bladeRF x40

Post by rtucker » Mon Apr 30, 2018 12:11 pm

The Yate project implemented their own driver to directly control the bladeRF's hardware, bypassing our C library entirely. Since it's built to control a specific version of the FPGA, it will not work with newer FPGA versions (which use a different control interface) without significant overhaul.

That said, it is okay to use an older FPGA version (even a much older version) for a specific application. You can still auto-load a newer FPGA for libbladeRF-based applications.
Rey Tucker (she/her)
Systems Engineer, Nuand LLC
Rochester, NY, USA

#WontBeErased

el_dorado
Posts: 2
Joined: Sat Apr 28, 2018 4:37 am

Re: YateBTS firmware for bladeRF x40

Post by el_dorado » Thu May 10, 2018 9:11 am

Thank you!

Post Reply